---
title: calicoctl datastore
description: Commands for calicoctl datastore 
canonical_url: '/reference/calicoctl/datastore/index'
---

This section describes the `calicoctl datastore` commands.

Read the [calicoctl Overview]({{ site.baseurl }}/reference/calicoctl/overview)
for a full list of calicoctl commands.

## Display the help text for 'calicoctl datastore migrate' commands

Run `calicoctl datastore migrate --help` to display the following help menu for the
commands.

```
Usage:
  calicoctl datastore <command> [<args>...]

    migrate  Migrate the contents of an etcdv3 datastore to a Kubernetes datastore.

Options:
  -h --help      Show this screen.

Description:
  Datastore specific commands for calicoctl.

  See 'calicoctl datastore <command> --help' to read about a specific subcommand.
```
{: .no-select-button}

## Datastore specific commands

Details on the `calicoctl datastore` commands are described in the documents linked below
organized by sub command.

-  [calicoctl datastore migrate]({{ site.baseurl }}/reference/calicoctl/datastore/migrate/overview)
